Skip to content

Delete groups in batches ​

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API. It is consistent with API parameters and return results. The description of this document is incorrect. , please refer to V3 API.

Delete groups in batches through group codes.

Method name ​

ManagementClient.delete_groups_batch

Request parameters ​

NameTypeRequiredDefault valueDescriptionSample value
codeListstring[]Yes-Group code list Array length limit: 50.["code1"]

Request Response ​

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsSuccessDtoWhether the operation is successful

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

Data Structure ​

IsSuccessDto ​

NameTypeIs this field required?DescriptionSample value
successbooleanyesWhether the operation was successfultrue